scala.tools.nsc.transform.UnCurry

# UnCurryTransformer

#### class UnCurryTransformer extends TypingTransformer

Source
  UnCurry.scala

Linear Supertypes
UnCurry.TypingTransformer, Global.Transformer, Global.Transformer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. UnCurryTransformer
2. TypingTransformer
3. Transformer
4. Transformer
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new UnCurryTransformer(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from UnCurryTransformer to any2stringadd[UnCurryTransformer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (UnCurryTransformer, B)

   Implicit information
     This member is added by an implicit conversion from UnCurryTransformer to ArrowAssoc[UnCurryTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def atOwner[A](tree: Global.Tree, owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer

8. #### final def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer → Transformer

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var curTree: Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

11. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

12. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

13. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

14. #### def deEta(fun: Global.Function): Global.Tree

    Undo eta expansion for parameterless and nullary methods

15. #### def ensuring(cond: (UnCurryTransformer) ⇒ Boolean, msg: ⇒ Any): UnCurryTransformer

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (UnCurryTransformer) ⇒ Boolean): UnCurryTransformer

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): UnCurryTransformer

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): UnCurryTransformer

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to Ensuring[UnCurryTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to StringFormat[UnCurryTransformer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### def isByNameRef(tree: Global.Tree): Boolean

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### def isNonLocalReturn(ret: Global.Return): Boolean

28. #### var localTyper: (analyzer)#Typer

    Definition Classes
      TypingTransformer

29. #### def mainTransform(tree: Global.Tree): Global.Tree

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### def postTransform(tree: Global.Tree): Global.Tree

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      UnCurryTransformer → TypingTransformer → Transformer

37. #### def transformArgs(pos: Global.Position, fun: Global.Symbol, args: List[Global.Tree], formals: List[Global.Type]): List[Global.Tree]

38. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

39. #### def transformFunction(fun: Global.Function): Global.Tree

    Transform a function node (x_1,...,x_n) => body of type FunctionN[T_1, .., T_N, R] to

    Transform a function node (x_1,...,x_n) => body of type FunctionN[T_1, .., T_N, R] to

    class $anon() extends AbstractFunctionN[T_1, .., T_N, R] with Serializable { def apply(x_1: T_1, ..., x_N: T_n): R = body } new $anon()

40. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

41. #### def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]

    Definition Classes
      Transformer

42. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

43. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      Transformer

44. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

45. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

46. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

47. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      Transformer

48. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

49. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

50. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

51. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

52. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### def →[B](y: B): (UnCurryTransformer, B)

    Implicit information
      This member is added by an implicit conversion from UnCurryTransformer to ArrowAssoc[UnCurryTransformer] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from UnCurry.TypingTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from UnCurryTransformer to any2stringadd[UnCurryTransformer]

### Inherited by implicit conversion StringFormat from UnCurryTransformer to StringFormat[UnCurryTransformer]

### Inherited by implicit conversion Ensuring from UnCurryTransformer to Ensuring[UnCurryTransformer]

### Inherited by implicit conversion ArrowAssoc from UnCurryTransformer to ArrowAssoc[UnCurryTransformer]

### Ungrouped